Gestiono
Referencia de APITasks / Board Task

Create Board Task

POST /v1/tasks/board-task • validated by `postBoardTask`

← Back to full API reference
POST/v1/tasks/board-taskAuthentication required

Board task endpoints are used to create, update, and organize tasks across boards and columns.

  • Validated by Zod schema: postBoardTask.

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • columnId (required)

    Type: number

  • clientId

    Type: number

  • parentId

    Type: number

  • endDate

    Type: string

  • startDate

    Type: string

  • index

    Type: number

  • title (required)

    Type: string

  • content

    Type: string

  • dueDate

    Type: string

  • assignedTo

    Type: number

  • metadata

    Type: unknown

  • clientdata

    Type: unknown

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "columnId": 1,
  "title": "string"
}

Sample response

json
{
  "taskId": "<taskId>"
}

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

POST/v1/tasks/board-taskAuthentication required

Group: Tasks / Board Task

POST /v1/tasks/board-task • validated by `postBoardTask`

Board task endpoints are used to create, update, and organize tasks across boards and columns.

  • Validated by Zod schema: postBoardTask.

Body fields

  • columnIdrequired
    Type: number
  • clientId
    Type: number
  • parentId
    Type: number
  • endDate
    Type: string
  • startDate
    Type: string
  • index
    Type: number
  • titlerequired
    Type: string
  • content
    Type: string
  • dueDate
    Type: string
  • assignedTo
    Type: number
  • metadata
    Type: unknown
  • clientdata
    Type: unknown

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.